<?php
	include ('connection.php');
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Google Chart with PHP and MySQLi Database using Google API</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" />
<style>
a
{
	color: white;
	text-decoration: none;
	font-size:22px;
}
a:hover
{
	color: white;
	text-decoration: none;	
}
</style>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

<script type="text/javascript">
// Load google charts
google.charts.load('current', {'packages':['corechart']});
google.charts.setOnLoadCallback(drawChart);

// Draw the chart and set the chart values
function drawChart() {
  var data = google.visualization.arrayToDataTable([
	  ['Department', 'No. of Employees'],
  <?php
	$query = mysqli_query($db, "SELECT * FROM employees");
	while($row = mysqli_fetch_array($query)){
		echo "['".$row['department']."',".$row['employees']."],";
	}
?>
]);

  // Optional; add a title and set the width and height of the chart
  var options = {'title':'No. of Employees in each department', 'width':1000, 'height':400};

  // Display the chart inside the <div> element with id="ColumnChart"
  var chart = new google.visualization.ColumnChart(document.getElementById('ColumnChart'));
  chart.draw(data, options);
}
</script>

<script type="text/javascript">
// Load google charts
google.charts.load('current', {'packages':['corechart']});
google.charts.setOnLoadCallback(drawChart);

// Draw the chart and set the chart values
function drawChart() {
  var data = google.visualization.arrayToDataTable([
	  ['Department', 'No. of Employees'],
  <?php
	$query = mysqli_query($db, "SELECT * FROM employees");
	while($row = mysqli_fetch_array($query)){
		echo "['".$row['department']."',".$row['employees']."],";
	}
?>
]);

  // Optional; add a title and set the width and height of the chart
  var options = {'title':'No. of Employees in each department', 'width':1000, 'height':400, 'pieHole': 0.4};

  // Display the chart inside the <div> element with id="ColumnChart"
  var chart = new google.visualization.PieChart(document.getElementById('DonutChart'));
  chart.draw(data, options);
}
</script>
<script type="text/javascript">
// Load google charts
google.charts.load('current', {'packages':['corechart']});
google.charts.setOnLoadCallback(drawChart);

// Draw the chart and set the chart values
function drawChart() {
  var data = google.visualization.arrayToDataTable([
	  ['Department', 'No. of Employees'],
  <?php
	$query = mysqli_query($db, "SELECT * FROM employees");
	while($row = mysqli_fetch_array($query)){
		echo "['".$row['department']."',".$row['employees']."],";
	}
?>
]);

  // Optional; add a title and set the width and height of the chart
  var options = {'title':'No. of Employees in each department', 'width':1000, 'height':400};

  // Display the chart inside the <div> element with id="PieChart"
  var chart = new google.visualization.PieChart(document.getElementById('PieChart'));
  chart.draw(data, options);
}
</script>
<script type="text/javascript">
// Load google charts
google.charts.load('current', {'packages':['corechart']});
google.charts.setOnLoadCallback(drawChart);

// Draw the chart and set the chart values
function drawChart() {
  var data = google.visualization.arrayToDataTable([
	  ['Department', 'No. of Employees'],
  <?php
	$query = mysqli_query($db, "SELECT * FROM employees");
	while($row = mysqli_fetch_array($query)){
		echo "['".$row['department']."',".$row['employees']."],";
	}
?>
]);

  // Optional; add a title and set the width and height of the chart
  var options = {'title':'No. of Employees in each department', 'width':1000, 'height':400, 'pieHole': 0.4};

  // Display the chart inside the <div> element with id="piechart"
  var chart = new google.visualization.BarChart(document.getElementById('BarChart'));
  chart.draw(data, options);
}
</script>

</head>

<body>
<div class="bg-info text-white p-2 fixed-top">
	<div class="container">
		<a href="https://www.eggslab.net/google-chart-with-php-and-mysqli-database-using-google-api">Google Chart with PHP and MySQLi Database using Google API</a>
	</div>
</div>

<div class="container" style="margin-top:100px;">
	<div class="row">
		<div class="col-md-12">
			<h1>Pie Chart</h1>
			<div id="PieChart"></div>

			<h1>Donut Chart</h1>
			<div id="DonutChart"></div>

			<h1>Column Chart</h1>
			<div id="ColumnChart"></div>

			<h1>Bar Chart</h1>
			<div id="BarChart"></div>
		</div>
	</div>
</div>
</body>
</html>


